Package org.apache.sysds.runtime.iogen.template

## Class TemplateUtil

- java.lang.Object
- - org.apache.sysds.runtime.iogen.template.TemplateUtil

    public class TemplateUtil
    extends Object

### Nested Class Summary

Nested Classes
`static class` `TemplateUtil.SplitInfo`
`static class` `TemplateUtil.SplitOffsetInfos`

### Constructor Summary

Constructors
`TemplateUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getEndPos​(String str, int strLen, int currPos, HashSet<String> endWithValueString)`
`static String` `getStringChunkOfBufferReader​(BufferedReader br, String remainedStr, int chunkSize)`
`static Pair<ArrayList<Pair<Long,​Integer>>,​Long>` `getTokenIndexOnMultiLineRecords​(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat inputFormat, org.apache.hadoop.mapred.JobConf job, String token)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateUtil

    public TemplateUtil()

### Method Detail

#### getTokenIndexOnMultiLineRecords

    public static Pair<ArrayList<Pair<Long,​Integer>>,​Long> getTokenIndexOnMultiLineRecords​(org.apache.hadoop.mapred.InputSplit split,
                                                                                                       org.apache.hadoop.mapred.TextInputFormat inputFormat,
                                                                                                       org.apache.hadoop.mapred.JobConf job,
                                                                                                       String token)
                                                                                                throws IOException

Throws:
  `IOException`

#### getEndPos

    public static int getEndPos​(String str,
                                int strLen,
                                int currPos,
                                HashSet<String> endWithValueString)

#### getStringChunkOfBufferReader

    public static String getStringChunkOfBufferReader​(BufferedReader br,
                                                      String remainedStr,
                                                      int chunkSize)